Subject: Re: bug#76296: [PATCH maintenance] hydra: bayfront: Set up‘git.guix.gnu.org’ as a redirect to Savannah.

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 14 May 2025 20:51:20 +0200

Ludovic Courtès <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> writes:
>
>> Noé Lopez <[email-masked]> writes:
>>
>>> I guess its for style points, which I’m all for. I do think it 
>>> would
>>> be
>>> better to set the URL to git.guix.gnu.org/guix/guix.git and 
>>> just a
>>> DNS
>>> redirect to codeberg to avoid the extra connection.
>>
>> I second this.
>>
>> I think a DNS level redirect would be sufficient.  I'd prefer 
>> not to
>> loop in bayfront for every git connection.
>
> As I suggested in <https://issues.guix.gnu.org/76296>, I don’t 
> think
> that’s possible: the X.509 certificate that codeberg.org serves 
> is for
> codeberg.org, not for git.guix.gnu.org, so TLS libraries would 
> report a
> host name mismatch.

Ah, true.  My bad!  I keep forgetting this.  We've had the same 
discussion back when we wanted to set up bayfront as a fail-over 
for the web services on berlin.

-- 
Ricardo